Package com.sun.mail.gimap

## Class GmailThrIdTerm

- java.lang.Object
- - javax.mail.search.SearchTerm
  - - com.sun.mail.gimap.GmailThrIdTerm

All Implemented Interfaces:
  `java.io.Serializable`

    public final class GmailThrIdTerm
    extends SearchTerm

This class implements searching for the Gmail thread ID.

Since:
  JavaMail 1.4.6
Author:
  Bill Shannon
See Also:
  Serialized Form

### Field Summary

Fields
`protected long` `number` The number.

### Constructor Summary

Constructors
`GmailThrIdTerm​(long thrId)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)` Equality comparison.
`long` `getNumber()` Return the number to compare with.
`int` `hashCode()` Compute a hashCode for this object.
`protected boolean` `match​(long i)`
`boolean` `match​(Message msg)` The match method.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### number

    protected long number

The number.

### Constructor Detail

#### GmailThrIdTerm

    public GmailThrIdTerm​(long thrId)

Constructor.

Parameters:
  `thrId` - the thread ID

### Method Detail

#### match

    public boolean match​(Message msg)

The match method.

Specified by:
  `match` in class `SearchTerm`
Parameters:
  `msg` - the Message number is matched with this Message
Returns:
  true if the match succeeds, otherwise false

#### equals

    public boolean equals​(java.lang.Object obj)

Equality comparison.

Parameters:
  `obj` - the object to compare with
Returns:
  true if equal

#### getNumber

    public long getNumber()

Return the number to compare with.

Returns:
  the number

#### match

    protected boolean match​(long i)

#### hashCode

    public int hashCode()

Compute a hashCode for this object.

Overrides:
  `hashCode` in class `java.lang.Object`